Group: Toys
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install libgio-devel libpng-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           camorama
Version:        0.21.2
Release:        alt1_7
Summary:        Gnome webcam viewer
License:        GPLv2+
URL:            https://github.com/alessio/camorama
Source0:        https://linuxtv.org/downloads/camorama/camorama-%{version}.tar.gz
Patch0:		fix_crash_on_device_change.patch
BuildRequires:  gcc desktop-file-utils libappstream-glib libappstream-glib-gir
BuildRequires:  gettext-tools libasprintf-devel libv4l-devel gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel libcairo-devel
BuildRequires:  libgdk-pixbuf-devel libgdk-pixbuf-gir-devel gnome-common
Requires:       icon-theme-hicolor
Source44: import.info

%description
A simple Gnome webcam viewer, with the ability to apply some video effects.


%prep
%setup -q
%patch0 -p1


%build
./autogen.sh
%configure --prefix /usr
%make_build


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std
%find_lang %{name}

# below is the desktop file and icon stuff.
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{name}.desktop
appstream-util validate-relax --nonet \
  $RPM_BUILD_ROOT%{_metainfodir}/%{name}.appdata.xml


%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md THANKS TODO
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/camorama.desktop
%{_datadir}/icons/hicolor/*x*/devices/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.21.2-alt1_7
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.21.2-alt1_5
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.21.2-alt1_4
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.21.2-alt1_3
- update to new release by fcimport

* Fri May 06 2022 Igor Vlasenko <viy@altlinux.org> 0.21.2-alt1_2
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.20.7-alt2_9
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.20.7-alt2_8
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.20.7-alt2_7
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.20.7-alt2_6
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.20.7-alt1_6
- update to new release by fcimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.20.7-alt1_5
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.20.7-alt1_3
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.20.7-alt1_2
- update to new release by fcimport

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.20.7-alt1_1
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.20.6-alt1_2
- update to new release by fcimport

* Wed Oct 03 2018 Igor Vlasenko <viy@altlinux.ru> 0.20.6-alt1_1
- update to new release by fcimport

* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 0.20.3-alt1_1
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_14
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_13
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_12
- update to new release by fcimport

* Mon May 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_11
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_10
- update to new release by fcimport

* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_9
- update from fc import

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_8
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_7
- fc import

